> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brilo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List commits

> A version's commits, newest first. The first one is what the version runs now.



## OpenAPI

````yaml /api-reference/openapi.json get /agents/{id}/versions/{vid}/history
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Public REST API for Brilo. Authenticate by sending your API key as a Bearer
    token in the `Authorization` header.
  title: Brilo API
  version: '2025-03-02'
servers:
  - description: Production
    url: https://api.brilo.ai/v1
security: []
tags: []
paths:
  /agents/{id}/versions/{vid}/history:
    get:
      tags:
        - Agents (public)
      summary: List commits
      description: >-
        A version's commits, newest first. The first one is what the version
        runs now.
      operationId: listAgentVersionHistory
      parameters:
        - description: Agent id (UUID).
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Version id (UUID).
          in: path
          name: vid
          required: true
          schema:
            type: string
        - description: Rows to skip.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            description: Rows to skip.
            maximum: 100000
            minimum: 0
            type: integer
        - description: Page size, at most 200.
          in: query
          name: limit
          required: false
          schema:
            default: 50
            description: Page size, at most 200.
            maximum: 200
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  data:
                    items:
                      additionalProperties: false
                      properties:
                        committed_at:
                          nullable: true
                          type: string
                        config:
                          additionalProperties: false
                          properties:
                            call_handling:
                              additionalProperties: false
                              properties:
                                greeting_interruptible:
                                  type: boolean
                                idle_reminder:
                                  additionalProperties: false
                                  properties:
                                    after_seconds:
                                      maximum: 9007199254740991
                                      minimum: -9007199254740991
                                      nullable: true
                                      type: integer
                                    enabled:
                                      type: boolean
                                    message:
                                      nullable: true
                                      type: string
                                  required:
                                    - enabled
                                    - after_seconds
                                    - message
                                  type: object
                                max_duration_seconds:
                                  maximum: 9007199254740991
                                  minimum: -9007199254740991
                                  type: integer
                                silence_timeout_seconds:
                                  maximum: 9007199254740991
                                  minimum: -9007199254740991
                                  nullable: true
                                  type: integer
                              required:
                                - max_duration_seconds
                                - silence_timeout_seconds
                                - idle_reminder
                                - greeting_interruptible
                              type: object
                            greeting:
                              nullable: true
                              type: string
                            instructions:
                              nullable: true
                              type: string
                            languages:
                              items:
                                type: string
                              type: array
                            model:
                              additionalProperties: false
                              properties:
                                id:
                                  nullable: true
                                  type: string
                              required:
                                - id
                              type: object
                            recording:
                              additionalProperties: false
                              properties:
                                consent:
                                  additionalProperties: false
                                  properties:
                                    prompt:
                                      nullable: true
                                      type: string
                                    type:
                                      type: string
                                  required:
                                    - type
                                    - prompt
                                  type: object
                                enabled:
                                  type: boolean
                                transcript_enabled:
                                  type: boolean
                              required:
                                - enabled
                                - consent
                                - transcript_enabled
                              type: object
                            timezone:
                              nullable: true
                              type: string
                            transcriber:
                              additionalProperties: false
                              properties:
                                id:
                                  nullable: true
                                  type: string
                              required:
                                - id
                              type: object
                            voice:
                              additionalProperties: false
                              properties:
                                id:
                                  nullable: true
                                  type: string
                                speaking_rate:
                                  type: number
                              required:
                                - id
                                - speaking_rate
                              type: object
                            voicemail:
                              additionalProperties: false
                              properties:
                                behavior:
                                  nullable: true
                                  type: string
                                message:
                                  nullable: true
                                  type: string
                              required:
                                - behavior
                                - message
                              type: object
                          required:
                            - greeting
                            - instructions
                            - voice
                            - model
                            - transcriber
                            - languages
                            - timezone
                            - call_handling
                            - voicemail
                            - recording
                          type: object
                        id:
                          type: string
                        made_live_at:
                          nullable: true
                          type: string
                        status:
                          enum:
                            - live
                            - published
                            - history
                          type: string
                      required:
                        - id
                        - status
                        - committed_at
                        - made_live_at
                        - config
                      type: object
                    type: array
                  limit:
                    maximum: 9007199254740991
                    minimum: -9007199254740991
                    type: integer
                  offset:
                    maximum: 9007199254740991
                    minimum: -9007199254740991
                    type: integer
                  total:
                    maximum: 9007199254740991
                    minimum: -9007199254740991
                    type: integer
                required:
                  - data
                  - total
                  - offset
                  - limit
                type: object
          description: ''
        '404':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  details:
                    additionalProperties: {}
                    type: object
                  error_code:
                    type: string
                  errors:
                    items:
                      additionalProperties: false
                      properties:
                        error_code:
                          type: string
                        field:
                          type: string
                        message:
                          type: string
                      required:
                        - field
                        - error_code
                        - message
                      type: object
                    type: array
                  hint:
                    type: string
                  message:
                    type: string
                  next_action:
                    additionalProperties: false
                    properties:
                      body:
                        additionalProperties: {}
                        type: object
                      method:
                        type: string
                      path:
                        type: string
                      tool:
                        type: string
                    required:
                      - tool
                      - method
                      - path
                    type: object
                  status:
                    maximum: 9007199254740991
                    minimum: -9007199254740991
                    type: integer
                required:
                  - status
                  - error_code
                  - message
                type: object
          description: agent_not_found, version_not_found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Enter your API key (Bearer token)
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.